//========================================================================================
//
//	File:				Menus.fr
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef FWMENUS_FR
#include "FWMenus.fr"
#endif

//----------------------------------------------------------------------------
//	Strings for ODFx Menu
//----------------------------------------------------------------------------
resource FW_kMULTISTRING (kODFxPartStrings)
{
	kFirstString,		"Welcome to ODF on ";
	kMacString,			"Macintosh";
	kWinString,			"Windows";
	kBlankString,		"This part intentionally left blank";
}

//----------------------------------------------------------------------------
//	Strings for Undo and Redo menu items
//----------------------------------------------------------------------------

resource FW_kMULTISTRING (kODFxUndoStrings)
{
	kUndoDropMsg,	"Undo Drop";
	kRedoDropMsg,	"Redo Drop";
	kUndoResetMsg,	"Undo Reset Colors";
	kRedoResetMsg,	"Redo Reset Colors";
	kUndoPasteMsg,	"Undo Paste";
	kRedoPasteMsg,	"Redo Paste";
	kUndoChangeMsg,	"Undo Change";
	kRedoChangeMsg,	"Redo Change";
}

//----------------------------------------------------------------------------
//	Menus
//----------------------------------------------------------------------------

resource FW_RMenuBar(kMenuBar)
{
	"About ODFx...",

	{
		FW_RPullDownMenu
		(
			"ODFx"
			{
				FW_RTextItem(c4Colors, '4', "4 Nodes"),
				FW_RTextItem(c9Colors, '9', "9 Nodes"),
				FW_RSeparatorItem(),
				FW_RTextItem(cGridLines, 'L', "Zone Lines")
				FW_RSeparatorItem(),
				FW_RTextItem(cLowRes, 'Y', "Chunky Resolution")
				FW_RTextItem(cMedRes, 'G', "Good Resolution")
				FW_RTextItem(cHighRes, 'F', "Fine Resolution")
				FW_RSeparatorItem(),
				FW_RTextItem(cRotateColors, 'R', "Rotate Colors")
			}
		)
	}
};
